Subject: Re: [Anima] Last Call: <draft-ietf-anima-bootstrapping-keyinfra-28.txt> (Bootstrapping Remote Secure Key Infrastructures (BRSKI)) to Proposed Standard

From: tom petch <[email-masked]>
Date: Tue, 15 Oct 2019 09:40:56 +0000

Prompted by Dan's operational review I glanced at the YANG which does
indeed need some work.

There are two modules in the I-D,
ietf-voucher-request
ietf-mud-brski-masa
the latter being in an appendix; I am unclear whether or not this
appendix is Normative..

IANA Considerations registers a namespace for the second; it does not
register either module.

XXXX is used to refer to two I-D, one of which appears not to exist, the
other would appear to be a published RFC.

The first module references RFC8040 which is not in the references for
the I-D

The first module contains
see [RFC8446])
which would be better as a YANG reference clause and should not contain
[]

The second module lacks a reference clause for its imports

Security Considerations lack the required boiler plate for YANG modules

The second module lacks Copyright

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: <[email-masked]>;
<[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Tuesday, May 21, 2019 10:21 PM

> The IESG has received a request from the Autonomic Networking
Integrated
> Model and Approach WG (anima) to consider the following document: -
> 'Bootstrapping Remote Secure Key Infrastructures (BRSKI)'
>   <draft-ietf-anima-bootstrapping-keyinfra-20.txt> as Proposed
Standard
>
> This is a second Last Call. IoT Directorate review was done after the
ANIMA
> WG Last Call and consensus to request the publication, and that review
resulted
> in substantial changes to the document.
>
> The IESG plans to make a decision in the next few weeks, and solicits
final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2019-06-04. Exceptionally, comments may
be
> sent to [email-masked] instead. In either case, please retain the
beginning of
> the Subject line to allow automated sorting.
>
> Abstract
>
>
>    This document specifies automated bootstrapping of an Autonomic
>    Control Plane.  To do this a remote secure key infrastructure
(BRSKI)
>    is created using manufacturer installed X.509 certificate, in
>    combination with a manufacturer's authorizing service, both online
>    and offline.  Bootstrapping a new device can occur using a routable
>    address and a cloud service, or using only link-local connectivity,
>    or on limited/disconnected networks.  Support for lower security
>    models, including devices with minimal identity, is described for
>    legacy reasons but not encouraged.  Bootstrapping is complete when
>    the cryptographic identity of the new key infrastructure is
>    successfully deployed to the device but the established secure
>    connection can be used to deploy a locally issued certificate to
the
>    device as well.
>
>
>
>
> The file can be obtained via
>
https://datatracker.ietf.org/doc/draft-ietf-anima-bootstrapping-keyinfra
/
>
> IESG discussion can be tracked via
>
https://datatracker.ietf.org/doc/draft-ietf-anima-bootstrapping-keyinfra
/ballot/
>
> The following IPR Declarations may be related to this I-D:
>
>    https://datatracker.ietf.org/ipr/2816/
>    https://datatracker.ietf.org/ipr/3233/
>    https://datatracker.ietf.org/ipr/2463/
>
>
>
> The document contains these normative downward references.
> See RFC 3967 for additional information:
>     rfc8368: Using an Autonomic Control Plane for Stable Connectivity
of Network Operations, Administration, and Maintenance (OAM)
(Informational - IETF stream)

---

From: Michael Richardson <[email-masked]>
Date: Tue, 15 Oct 2019 18:31:52 +0200

Thank you Tom, I'll try to fix the issues you found this week.